# Uses of Class
org.apache.lucene.codecs.uniformsplit.BlockHeader

Packages that use BlockHeader
Package
Description
org.apache.lucene.codecs.uniformsplit
Pluggable term index / block terms dictionary implementations.
org.apache.lucene.codecs.uniformsplit.sharedterms
Pluggable term index / block terms dictionary implementations.

- ## Uses of BlockHeader in org.apache.lucene.codecs.uniformsplit

  Fields in org.apache.lucene.codecs.uniformsplit declared as BlockHeader
  Modifier and Type
  Field
  Description
  `protected BlockHeader`
  BlockReader.`blockHeader`
  Current block header.
  `protected final BlockHeader`
  BlockWriter.`reusableBlockHeader`
  Methods in org.apache.lucene.codecs.uniformsplit that return BlockHeader
  Modifier and Type
  Method
  Description
  `BlockHeader`
  BlockHeader.Serializer.`read(DataInput input, BlockHeader reuse)`
  `protected BlockHeader`
  BlockReader.`readHeader()`
  Reads the block header.
  `protected BlockHeader`
  BlockHeader.`reset(int linesCount, long baseDocsFP, long basePositionsFP, long basePayloadsFP, int termStatesBaseOffset, int middleTermOffset)`
  Methods in org.apache.lucene.codecs.uniformsplit with parameters of type BlockHeader
  Modifier and Type
  Method
  Description
  `BlockHeader`
  BlockHeader.Serializer.`read(DataInput input, BlockHeader reuse)`
  `void`
  BlockHeader.Serializer.`write(DataOutput output, BlockHeader blockHeader)`

- ## Uses of BlockHeader in org.apache.lucene.codecs.uniformsplit.sharedterms

  Methods in org.apache.lucene.codecs.uniformsplit.sharedterms with parameters of type BlockHeader
  Modifier and Type
  Method
  Description
  `void`
  STBlockLine.Serializer.`readFieldTermStatesMap(DataInput termStatesInput, DeltaBaseTermStateSerializer termStateSerializer, BlockHeader blockHeader, FieldInfos fieldInfos, Map<String,BlockTermState> fieldTermStatesMap)`
  Reads all the `BlockTermState` of all the field in the current block line of the provided input.
  `BlockTermState`
  STBlockLine.Serializer.`readTermStateForField(int fieldId, DataInput termStatesInput, DeltaBaseTermStateSerializer termStateSerializer, BlockHeader blockHeader, FieldInfos fieldInfos, BlockTermState reuse)`
  Reads a single `BlockTermState` for the provided field in the current block line of the provided input.